/********************************************************
* Zeus CMD - GLUT Tutorial 04 : Rendering and Animation *
* By Grant James (ZEUS)                                 *
* http://www.zeuscmd.com                                *
********************************************************/
#pragma comment(linker, "/subsystem:\"windows\" \
	/entry:\"mainCRTStartup\"")
	
#include <gl/glut.h>

bool init()
{
	return true;
}

void display()
{
	// Rendering

	glutSwapBuffers();
}

void idle()
{
	// Animation Code

	glutPostRedisplay();
}

int main(int argc, char *argv[])
{
	glutInit(&argc, argv);

	glutInitWindowPosition(200, 200);
	glutInitWindowSize(200, 200);
	
	glutInitDisplayMode(GLUT_RGBA | GLUT_DOUBLE);

	glutCreateWindow("04 - Rendering and Animation");

	glutDisplayFunc(display);
	glutIdleFunc(idle);

	if (!init())
		return 1;

	glutMainLoop();

	return 0;
}
